Bug 77689 - [Qt] Implement ImageBuffer::copyImage(ImageBuffer::DontCopyBackingStore)
: [Qt] Implement ImageBuffer::copyImage(ImageBuffer::DontCopyBackingStore)
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nobody
: Qt
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-02 15:44 PST by Noam Rosenthal
Modified: 2012-02-06 06:18 PST (History)
3 users (show)

See Also:


Attachments
Patch (1.76 KB, patch)
2012-02-02 16:25 PST, Noam Rosenthal
no flags Details | Formatted Diff | Diff
Patch (3.00 KB, patch)
2012-02-03 09:07 PST, Noam Rosenthal
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Noam Rosenthal 2012-02-02 15:44:36 PST
Right now Qt asserts when tring to do a shallow copy of ImageBuffer. We want to use that feature for TextureMapper (see https://bugs.webkit.org/show_bug.cgi?id=77148).
Comment 1 Noam Rosenthal 2012-02-02 16:25:36 PST
Created attachment 125207 [details]
Patch
Comment 2 Noam Rosenthal 2012-02-03 09:07:11 PST
Created attachment 125347 [details]
Patch
Comment 3 WebKit Review Bot 2012-02-06 06:18:30 PST
Comment on attachment 125347 [details]
Patch

Clearing flags on attachment: 125347

Committed r106804: <http://trac.webkit.org/changeset/106804>
Comment 4 WebKit Review Bot 2012-02-06 06:18:34 PST
All reviewed patches have been landed.  Closing bug.